//---------------------------------------------------------------------------
#include <vcl.h>
#include <math.h>
#pragma hdrstop

#include "cifernik.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
Tcifernik1 *cifernik1;
//---------------------------------------------------------------------------
__fastcall Tcifernik1::Tcifernik1(TComponent* Owner)
   : TForm(Owner)
{
}
//---------------------------------------------------------------------------

inline int min(int a, int b) { return a < b ? a : b; }
void Tcifernik1::NakresliHodiny()
{
  int XS =ClientWidth /2, YS = ClientHeight / 2; // Souadnice stedu
  int R = min (XS, YS)-10;                       // Polomr
  const double deltah = M_PI / 6;               // Prstek hlu za hodinu
  const double deltam = M_PI / 30;              // Prstek hlu za minutu
  int r = R/40.0+1;                              // Velikost znaky

  Canvas -> Pen -> Color = clYellow;
  Canvas -> Brush -> Color = clYellow;
  double fi = 0;                                 // Poten hel
  for(int i = 0; i < 12; i++, fi += deltah)      // Znaky hodin
  {
   int x = XS + R * cos(fi);
   int y = YS + R * sin(fi);
   Canvas -> Ellipse(x-r, y-r, x+r, y+r);
  }

  unsigned short h, m, s, ms;
  DecodeTime(Time(), h, m, s, ms);
  Canvas -> Pen -> Width = 4;
  Canvas -> Pen -> Color = clNavy;

  // Hodinov ruika
  fi = deltah * (h + m/60.0);
  Canvas -> MoveTo(XS, YS);
  Canvas -> LineTo(XS + 0.75*R*sin(fi), YS - 0.75*R*cos(fi));

  // Minutov ruika
  Canvas -> Pen -> Width = 2;
  fi = deltam * m;
  Canvas -> MoveTo(XS, YS);
  Canvas -> LineTo(XS + R*sin(fi), YS - R*cos(fi));

  // Vteinov ruika
  Canvas -> Pen -> Width = 1;
  Canvas -> Pen -> Color = clRed;
  fi = deltam * s;
  Canvas -> MoveTo(XS, YS);
  Canvas -> LineTo(XS + R*sin(fi), YS - R*cos(fi));

  Caption = TimeToStr(Time());
}
void __fastcall Tcifernik1::FormResize(TObject *Sender)
{
    Repaint();
}
//---------------------------------------------------------------------------
void __fastcall Tcifernik1::nepokojTimer(TObject *Sender)
{
   Repaint();
}
//---------------------------------------------------------------------------

void __fastcall Tcifernik1::FormPaint(TObject *Sender)
{
   NakresliHodiny();
}
//---------------------------------------------------------------------------

