//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "obraz.h"
#include "oprog.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
Tokno *okno;
//---------------------------------------------------------------------------
__fastcall Tokno::Tokno(TComponent* Owner)
   : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall Tokno::konecClick(TObject *Sender)
{
   Close();   
}
//---------------------------------------------------------------------------
void __fastcall Tokno::FormCloseQuery(TObject *Sender, bool &CanClose)
{
   if(Application -> MessageBox("Opravdu chce skonit?", "Dotaz", MB_YESNO | MB_ICONQUESTION)== mrYes)
      CanClose = true;
   else
      CanClose = false;
}
//---------------------------------------------------------------------------
void __fastcall Tokno::otevriClick(TObject *Sender)
{
   static AnsiString pripona[5] = {"", ".bmp", ".ico", ".emf", ".wmf"};
   static AnsiString text[5] = {"Vechny soubory|", "Bitov mapy|", "Ikony|",
                    "Vylepen metasoubory|", "Metasoubory|",};
   if(dialog_otevri -> Execute())
   {
      try {
         jmeno = dialog_otevri -> FileName;
         int index = dialog_otevri->FilterIndex-1;
         ext = pripona[index];
         if(ExtractFileExt(jmeno)==AnsiString(""))
            jmeno += ext;
         filtr = text[index]+"*"+ext;
         obrazek->Picture -> LoadFromFile(jmeno);
         okno->HorzScrollBar->Range = obrazek -> Picture -> Width;
         okno->VertScrollBar->Range = obrazek -> Picture -> Height;
         Caption = ExtractFileName(jmeno);
      }
      catch(Exception &E)
      {
         if(Application->MessageBox("Nepodailo se otevt grafick soubor. \n Chcete vdt vce?", "Chyba", MB_YESNO)== IDYES)
            Application->ShowException(&E);
      }
   }
}
//---------------------------------------------------------------------------


void __fastcall Tokno::ulozjakoClick(TObject *Sender)
{
    dialog_ulozjako -> FileName = jmeno;
    dialog_ulozjako -> Filter = filtr;
    dialog_ulozjako -> DefaultExt = ext;
    if(dialog_ulozjako -> Execute())
    {
      jmeno = dialog_ulozjako -> FileName;
      //if(ExtractFileExt(jmeno)==AnsiString(""))
        //jmeno += ext;
      if(FileExists(jmeno) &&
         !Application->MessageBox(("Soubor "+jmeno + " existuje\nMm ho pepsat?").c_str(), "Upozornn", MB_YESNO | MB_ICONQUESTION))
        {
          return;
        }
      obrazek->Picture -> SaveToFile(jmeno);
    }
}
//---------------------------------------------------------------------------

void __fastcall Tokno::zavriClick(TObject *Sender)
{
   obrazek ->  Picture -> Bitmap = 0;    
}
//---------------------------------------------------------------------------

void __fastcall Tokno::oprogramuClick(TObject *Sender)
{
    Okno2 -> ShowModal();    
}
//---------------------------------------------------------------------------

