//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "dm1.h"
#include "okno.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
Tdm *dm;
//---------------------------------------------------------------------------
__fastcall Tdm::Tdm(TComponent* Owner)
    : TDataModule(Owner)
{
}

//---------------------------------------------------------------------------
void __fastcall Tdm::tab_zmenyAfterScroll(TDataSet *DataSet)
{
    odkud = tab_zmeny->FieldByName("Odkud")->Value;
    kam = tab_zmeny->FieldByName("Kam")->Value;
    kolik = tab_zmeny->FieldByName("Kolik")->Value;
    par z1 = UdajeOMajiteli(odkud.ToInt());
    par z2 = UdajeOMajiteli(kam.ToInt());
    HlavniOkno->ed_kdo -> Text = z1.Jmeno();
    HlavniOkno->ed_stav1 -> Text = z1.Stav();
    HlavniOkno->ed_komu -> Text = z2.Jmeno();
    HlavniOkno->ed_stav2 -> Text = z2.Stav();
}
//---------------------------------------------------------------------------

Tdm::par Tdm::UdajeOMajiteli(int cislo_zakaznika)
{
    tab_ucty -> Close();
    tab_ucty ->  Params -> Items[0] -> AsString = String(cislo_zakaznika);
    tab_ucty ->  Open();
    String jm = tab_ucty->FieldByName("Jmno")-> AsString + " " + tab_ucty->FieldByName("Pjmen")-> AsString;
    double stav = tab_ucty->FieldByName("stav")-> AsFloat;
    return par(jm, stav);
}

void Tdm::GlobalniPrevod()
{
  tab_zmeny -> DisableControls();
  tab_ucty -> DisableControls();
  TBookmark zde = tab_zmeny->GetBookmark();
  for(tab_zmeny -> FindFirst();
      !tab_zmeny -> Eof;
      tab_zmeny -> Next()
      )
  {
    databaze -> StartTransaction();
    try{
      tab_provadeni -> Close();
      tab_provadeni -> Params -> Items[0] -> AsString = String(odkud);
      tab_provadeni -> Open();
      tab_provadeni -> Edit();
      tab_provadeni -> Fields[0]->AsFloat -= kolik;
      tab_provadeni -> Post();
      tab_provadeni -> Close();
      tab_provadeni -> Params -> Items[0] -> AsString = String(kam);
      tab_provadeni -> Open();
      tab_provadeni -> Edit();
      tab_provadeni -> Fields[0]->AsFloat += kolik;
      tab_provadeni -> Post();
      databaze -> Commit();
    }
    catch(...)
    {
      databaze-> Rollback();
    }
  }
    tab_zmeny -> EnableControls();
    tab_ucty -> EnableControls();
    tab_zmeny -> GotoBookmark(zde);
}
