//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "hodinky.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck is used to assure that the components created do not have
// any pure virtual functions.
//

static inline void ValidCtrCheck(THodiny *)
{
        new THodiny(NULL);
}
//---------------------------------------------------------------------------
__fastcall THodiny::THodiny(TComponent* Owner)
        : TLabel(Owner)
{
  tajmr = new TTimer(this);
  tajmr -> Interval = 1000;
  tajmr -> OnTimer = OnTajmr;
  Caption = "00:00:00";
  tajmr->Enabled=false;
}

void __fastcall THodiny::SetEnabled(bool val)
{
 tajmr -> Enabled = val;
}

bool __fastcall THodiny::GetEnabled()
{
 return tajmr->Enabled;
}

//---------------------------------------------------------------------------
namespace Hodinky
{
        void __fastcall PACKAGE Register()
        {
                 TComponentClass classes[1] = {__classid(THodiny)};
                 RegisterComponents("Pokus", classes, 0);
        }
}
//---------------------------------------------------------------------------
void __fastcall THodiny::OnTajmr(TObject *Sender)
{
  TLabel::Caption = Time();
} 