//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "okno.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
THlavniOkno *HlavniOkno;
//---------------------------------------------------------------------------
__fastcall THlavniOkno::THlavniOkno(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall THlavniOkno::com_URLClick(TObject *Sender)
{
    if(com_URL->Text != "")
      html_okno->RequestDoc(com_URL->Text);
}
//---------------------------------------------------------------------------
void __fastcall THlavniOkno::com_URLKeyPress(TObject *Sender, char &Key)
{
    if(Key == VK_RETURN)
    {
     Key = 0;
     if(com_URL->Text == "") return;
     com_URL->Items -> Insert(0, com_URL->Text);
     com_URLClick(Sender);
    }
}
//---------------------------------------------------------------------------

void __fastcall THlavniOkno::tl_stopClick(TObject *Sender)
{
   html_okno->Cancel(0);
   sb_stav -> SimpleText = "Hotovo";      
}
//---------------------------------------------------------------------------

void __fastcall THlavniOkno::tl_zdrojClick(TObject *Sender)
{
    html_okno -> ViewSource = !html_okno -> ViewSource;
    if(html_okno -> ViewSource)
      tl_zdroj->Caption = "Dokument";
    else
      tl_zdroj->Caption = "Zdroj";
}
//---------------------------------------------------------------------------

void __fastcall THlavniOkno::html_oknoDoRequestDoc(TObject *Sender,
      const WideString URL, HTMLElement *Element, DocInput *DocInput,
      WordBool &EnableDefault)
{
    sb_stav->SimpleText = "Hledm spojen s " + URL + "...";    
}
//---------------------------------------------------------------------------

void __fastcall THlavniOkno::html_oknoBeginRetrieval(TObject *Sender)
{
    sb_stav -> SimpleText = "Spojeno";
    com_URL->Items->Insert(0, com_URL->Text);
}
//---------------------------------------------------------------------------

void __fastcall THlavniOkno::html_oknoUpdateRetrieval(TObject *Sender)
{
    int celk = html_okno->RetrieveBytesTotal;
    int hotovo = html_okno->RetrieveBytesDone;
    int proc = 0;
    if(celk && hotovo)
       proc = (100*hotovo)/celk;
    sb_stav -> SimpleText = String("Stahuji dokument - hotovo ")+ proc + "% z celkem " + celk/1024 + "KB";
}
//---------------------------------------------------------------------------

