//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "okno1.h"
#include "vypoc.h"
#include <complex>
using namespace std;

typedef complex<double> cplx;

inline bool diverguje(cplx c)
{
 if(c.real() > 2 || c.real() < -2 || c.imag() > 2 || c.imag() < -2) return true;
 else return false;
}

TColor Vypocet(double x, double y, int n)
{
 complex<double> z(x,y), d(z);
 for(int i = 0; i < n; i++)
 {
  z = z*z+d;
  if(diverguje(z)) return clRed;
 }
 return clBlack;
}
//---------------------------------------------------------------------------
#pragma package(smart_init)
