#include <vcl.h>
#include "vypocet.h"
#include <complex>
#pragma hdrstop

int WINAPI DllEntryPoint(HINSTANCE hinst, unsigned long reason, void*)
{
    return 1;
}
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------

using namespace std;

typedef complex<double> cplx;

inline bool diverguje(cplx c)
{
 if(c.real() > 2 || c.real() < -2 || c.imag() > 2 || c.imag() < -2) return true;
 else return false;
}

extern "C" __declspec(dllexport) TColor Vypocet(double x, double y, int n, TColor bmn, TColor bok)
{
 complex<double> z(x,y), d(z);
 for(int i = 0; i < n; i++)
 {
  z = z*z-z;
  // double t = double(i)/n;
  if(diverguje(z)) return bok; //TColor(bmn*t + bok*(1-t));
 }
 return bmn;
}
//---------------------------------------------------------------------------

