#ifndef _CARA_H_
 #define _CARA_H_

#include <cstdio>
#include <list>
#include <vcl.h>
#pragma hdrstop
//#include <condefs.h>
using namespace std;

struct Tbod
{
  int x, y;
  Tbod(int xx=0, int yy=0): x(xx), y(yy){}
};

class Tcara
{
    int pero;
    TColor barva;
    int delka;
    list<Tbod> body;
public:
    Tcara(TColor _barva, int _pero)
    : barva(_barva), pero(_pero), delka(0)
    {}
    Tcara(FILE* F);
    void pridej(const Tbod& b) { body.push_back(b); delka++; }
    void uloz(FILE * F);
    void nakresli(TCanvas *C);
};

class Tobraz
{
    int kolik; // Poet ar v obrzku
    list<Tcara> cary;
public:
    Tobraz();
    void nakresli(TCanvas *C);
    void pridej(Tcara* x)
    {
        cary.push_back(*x); kolik++;
    }
    void uloz(AnsiString& jmeno);
    void precti(AnsiString& jmeno);
};
#endif
