//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#pragma warn -use 
#include "nastav.h"
#include "okno1.h"
#include "init.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"

Tdlg_nastaveni *dlg_nastaveni;
//---------------------------------------------------------------------------
__fastcall Tdlg_nastaveni::Tdlg_nastaveni(TComponent* Owner)
    : TForm(Owner), lze_zavrit(true)
{
}
//---------------------------------------------------------------------------

void __fastcall Tdlg_nastaveni::FormShow(TObject *Sender)
{
    ed_xpd->Text = HlavniOkno->Obdelnik()?HlavniOkno->X(HlavniOkno->Xpdv()):HlavniOkno->xpd();
    ed_xlh->Text = HlavniOkno->Obdelnik()?HlavniOkno->X(HlavniOkno->Xlhv()):HlavniOkno->xlh();
    ed_ylh->Text = HlavniOkno->Obdelnik()?HlavniOkno->Y(HlavniOkno->Ylhv()):HlavniOkno->ylh();
    ed_ypd->Text = HlavniOkno->Obdelnik()?HlavniOkno->Y(HlavniOkno->Ypdv()):HlavniOkno->ypd();
    ed_pocit->Text = HlavniOkno->PocetIteraci();
    ed_vyska->Text = HlavniOkno->Vyska();
    ed_sirka->Text = HlavniOkno->Sirka();
    ed_krok -> Text = HlavniOkno->Krok();
    pgc->ActivePage = Strana1;
    FocusControl(ed_xlh);
    ed_knihovna -> Text = HlavniOkno->JmenoDLL(); 
}
//---------------------------------------------------------------------------
void __fastcall Tdlg_nastaveni::ed_xlhExit(TObject *Sender)
{
    TEdit * ed = dynamic_cast<TEdit*>(Sender);
    if(ed)
    {
       try
       {
          lze_zavrit = true;
          ed->Text.ToDouble();
       }
       catch(EConvertError&)
       {
          lze_zavrit = false;
          Application -> MessageBox((ed->Text+" nen sprvn zapsan slo. Dosazuji 0.").c_str(), "Chyba", MB_OK);
          ed->Text = 0;
          FocusControl(ed);
       }
    }
}
//---------------------------------------------------------------------------

void __fastcall Tdlg_nastaveni::ed_pocitExit(TObject *Sender)
{
    TEdit * ed = dynamic_cast<TEdit*>(Sender);
    if(ed)
    {
       try
       {
          lze_zavrit = true;
          int i = ed->Text.ToInt();
          if(i < 10) throw ERangeError("");
       }
       catch(EConvertError&)
       {
          lze_zavrit = false;
          Application -> MessageBox((ed->Text+" nen sprvn zapsan slo. Dosazuji 10.").c_str(), "Chyba", MB_OK);
          ed->Text = 10;
          FocusControl(ed);
       }
       catch(ERangeError&)
       {
          lze_zavrit = false;
          Application -> MessageBox("Poet iterac men ne 10. Dosazuji 10.", "Chyba", MB_OK);
          ed->Text = 10;
          FocusControl(ed);
       }
    }
}
//---------------------------------------------------------------------------


void __fastcall Tdlg_nastaveni::FormCloseQuery(TObject *Sender,
      bool &CanClose)
{
    FocusControl(pgc->ActivePage);
    CanClose = lze_zavrit;    
}
//---------------------------------------------------------------------------



void __fastcall Tdlg_nastaveni::ed_krokExit(TObject *Sender)
{
    try
    {
     int i = ed_krok -> Text.ToInt();
     if(i <= 0) throw ERangeError("");
    }
    catch(...)
    {
     Application->MessageBox("Poet krok pro zobrazovn nen zadn jako slo"
            "\nnebo nen vt ne 0. Dosazuji 1.", "Upozornn", MB_OK | MB_ICONEXCLAMATION);
     ed_krok->Text = 1;
     FocusControl(ed_krok);
    }
}
//---------------------------------------------------------------------------

void __fastcall Tdlg_nastaveni::tl_najdiClick(TObject *Sender)
{
    AnsiString jmeno = HlavniOkno->JmenoDLL();
    dlg_najdiDLL->FileName = jmeno;
    if(dlg_najdiDLL -> Execute())
    {
       jmeno = dlg_najdiDLL->FileName;
       ed_knihovna->Text = jmeno;  
    }
}
//---------------------------------------------------------------------------

void __fastcall Tdlg_nastaveni::cb_implicClick(TObject *Sender)
{
    if(cb_implic->Checked)
    {
        tl_najdi -> Enabled = false;
        ed_knihovna -> Enabled = false;
        ed_knihovna -> Text = InitJmeno;
    }
    else
    {
        tl_najdi -> Enabled = true;
        ed_knihovna -> Enabled = true;
    }
}
//---------------------------------------------------------------------------




