//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "okno.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
THlavniOkno *HlavniOkno;
//---------------------------------------------------------------------------
__fastcall THlavniOkno::THlavniOkno(TComponent* Owner)
    : TForm(Owner)
{
  // Kontrola existence
  String jm = "zmeny";
  static int i = 0;
  do {
  String jmeno = jm + i++ + ".db";
  tabulka -> TableName = jmeno;
  } while(tabulka -> Exists);
  try{
   tabulka -> CreateTable();
   Caption = Caption + " - " + tabulka->TableName;
   vymazTexty();
  }
  catch(...)
  {
   Application -> MessageBox("Nepodailo se vytvoit tabulku", "Problm", MB_OK);
   Application -> Terminate();
  }
}
//---------------------------------------------------------------------------
void __fastcall THlavniOkno::tl_zrusClick(TObject *Sender)
{
   vymazTexty();
}
void THlavniOkno::vymazTexty()
{
    ed_kolik->Text = "";
    ed_kam ->Text = "";
    ed_odkud->Text = "";
}
//---------------------------------------------------------------------------
void __fastcall THlavniOkno::tl_konecClick(TObject *Sender)
{
    Close();
}
//---------------------------------------------------------------------------
void __fastcall THlavniOkno::FormClose(TObject *Sender,
      TCloseAction &Action)
{
    tabulka -> Active = 0;
}
//---------------------------------------------------------------------------
void __fastcall THlavniOkno::tl_ulozClick(TObject *Sender)
{
    tabulka->Active=true;
    tabulka->Edit();
    tabulka->Insert();
    tabulka->Fields->Fields[0]->AsInteger=ed_odkud->Text.ToInt();
    tabulka->Fields->Fields[1]->AsInteger=ed_kam->Text.ToInt();
    tabulka->Fields->Fields[2]->AsInteger=ed_kolik->Text.ToDouble();
    tabulka->Post();
    tabulka->Active=false;
    vymazTexty();
    FocusControl(ed_odkud);
}
//---------------------------------------------------------------------------
