//---------------------------------------------------------------------------
#ifndef oknoH
#define oknoH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include "cgrid.h"
#include "cara.h"
#include <Buttons.hpp>
#include <Dialogs.hpp>
#include "CGRID.h"
//---------------------------------------------------------------------------
class THlavniOkno : public TForm
{
__published:	// IDE-managed Components
    TMainMenu *MainMenu1;
    TMenuItem *mn_soubor;
    TMenuItem *mn_novy;
    TMenuItem *mn_otevri;
    TMenuItem *mn_uloz;
    TMenuItem *mn_ulozjako;
    TMenuItem *N1;
    TMenuItem *mn_konec;
    TMenuItem *mn_napoveda;
    TMenuItem *mn_oprogramu;
    TPanel *pa_paleta;
    TCColorGrid *barvy;
    TPanel *pa_barva;
    TScrollBar *posuv;
    TPanel *pa_silapera;
    TImage *im_sila;
    TBitBtn *tl_jina;
    TColorDialog *dlg_zvolbarvu;
    TOpenDialog *dlg_otevri;
    TSaveDialog *dlg_ulozjako;
    TPanel *pa_obr;
    TImage *im_kresba;
    TMenuItem *mn_tisk;
    TPrintDialog *dlg_tisk;
    void __fastcall barvyChange(TObject *Sender);
    void __fastcall mn_konecClick(TObject *Sender);
    void __fastcall tl_jinaClick(TObject *Sender);
    void __fastcall posuvChange(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall mn_novyClick(TObject *Sender);
    void __fastcall FormMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
    void __fastcall FormMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
    void __fastcall FormMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
    
    void __fastcall mn_ulozjakoClick(TObject *Sender);
    
    void __fastcall mn_otevriClick(TObject *Sender);
    
    void __fastcall mn_ulozClick(TObject *Sender);
    
    void __fastcall dlg_ulozjakoTypeChange(TObject *Sender);
    
    void __fastcall mn_oprogramuClick(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall mn_tiskClick(TObject *Sender);
private:	// User declarations
    TColor barva;  // Aktuln barva
    unsigned sila; // Aktuln sla pera
    Tobraz *obr;
    Tcara * lajna;
    bool dole;
    AnsiString jmeno;
    bool zmena;
public:		// User declarations
    __fastcall THlavniOkno(TComponent* Owner);
    void DotazUlozit();
    void ZapisDoSouboru();
};
//---------------------------------------------------------------------------
extern PACKAGE THlavniOkno *HlavniOkno;
//---------------------------------------------------------------------------
#endif
