//---------------------------------------------------------------------------
#ifndef okno1H
#define okno1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <Dialogs.hpp>
#include <ExtDlgs.hpp>
#include <ExtCtrls.hpp>

//---------------------------------------------------------------------------
class THlavniOkno : public TForm
{
__published:	// IDE-managed Components
    TMainMenu *HlavniMenu;
    TSavePictureDialog *dlg_ulozjako;
    TMenuItem *mn_soubor;
    TMenuItem *mn_uloz;
    TMenuItem *mn_novy;
    TMenuItem *N1;
    TMenuItem *mn_konec;
    TMenuItem *mn_obrazek;
    TMenuItem *mn_nastaveni;
    TMenuItem *N2;
    TMenuItem *mn_vypocet;
    TMenuItem *mn_napoveda;
    TMenuItem *mn_oprogramu;
    TPanel *pa_obr;
    TImage *im_obr;
    TMenuItem *mn_prerus;
    void __fastcall mn_konecClick(TObject *Sender);
    void __fastcall mn_nastaveniClick(TObject *Sender);
    
    void __fastcall mn_vypocetClick(TObject *Sender);
    
    void __fastcall mn_ulozClick(TObject *Sender);
    void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
    void __fastcall mn_novyClick(TObject *Sender);
    void __fastcall mn_oprogramuClick(TObject *Sender);
    void __fastcall mn_prerusClick(TObject *Sender);
private:	// User declarations
    int pocetIteraci;
    double XLH, YLH, XPD, YPD;  // Souadnice LH a PD rohu (v rovin X-Y)
    int sirka, vyska;// Rozmry bitov mapy v pixelech
    double ax, ay;  // Konstanty pro pepocet souadnic na pixely
    bool ulozeno;// Byl u obrzek uloen?
    bool prerus_vypocet;
    void VypoctiKonstanty();
    int DotazChcesUlozit();
    void Nastaveni();
public:		// User declarations
    __fastcall THlavniOkno(TComponent* Owner);
    int PocetIteraci() {return pocetIteraci;}
    int Sirka() { return sirka; }
    int Vyska() { return vyska; }
    double xlh() { return XLH; }
    double xpd() { return XPD; }
    double ylh() { return YLH; }
    double ypd() { return YPD; }
    double X(int x) { return ax*x+XLH; }
    double Y(int y) { return ay*y+YLH; }
};
//---------------------------------------------------------------------------
extern PACKAGE THlavniOkno *HlavniOkno;
//---------------------------------------------------------------------------
#endif
