//---------------------------------------------------------------------------
#ifndef THVYPOCH
#define THVYPOCH
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
class TVypocet : public TThread
{
private:
    double XLH, YLH, XPD, YPD;  // Souadnice LH a PD rohu (v rovin X-Y)
    int sirka, vyska;// Rozmry bitov mapy v pixelech
    double ax, ay;  // Konstanty pro pepocet souadnic na pixely
    TColor barva_mnoziny, barva_okoli;
    int pocetIteraci;
    AnsiString TextStavoveRadky;
    TCanvas * C;
protected:
    void __fastcall Execute();
public:
    __fastcall TVypocet(bool CreateSuspended);
    double X(int x) { return ax*x+XLH; }
    double Y(int y) { return ay*y+YLH; }
    void __fastcall Konec(TObject * Sender);
    void __fastcall NastavStavovouRadku();
};
//---------------------------------------------------------------------------
#endif
